MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032092Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-28 12:172021-09-11 14:06
Reportermgn 
Assigned Tosmoskvin 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032092: Visualization, TKService - Image_VideoRecorder writes garbage from Grayscale image
DescriptionImage_VideoRecorder writes something wrong when data comes in different pixel format (Image_Format_Gray).

It is supposed to provide support for such formats or to issue an error.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0025382closedkgv Visualization, TKOpenGl - improved video recording capability 

-  Notes
(0103961)
git (administrator)
2021-09-09 22:34

Branch CR32092 has been created by kgv.

SHA-1: 5c3322c04f7602ee410d078271562e7dc7c48367


Detailed log of new commits:

Author: kgv
Date: Thu Sep 9 22:34:48 2021 +0300

    0032092: Visualization, TKService - Image_VideoRecorder writes garbage from Grayscale image
    
    Image_VideoRecorder::writeVideoFrame(), added protection from API misuse.
(0103965)
kgv (developer)
2021-09-09 23:24

Please raise the patch
- OCCT: branch CR32092.
(0104010)
smoskvin (administrator)
2021-09-11 13:26

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0104034)
git (administrator)
2021-09-11 14:06

Branch CR32092 has been deleted by mnt.

SHA-1: 5c3322c04f7602ee410d078271562e7dc7c48367

- Related Changesets
occt: master cd497738
Timestamp: 2021-09-09 19:34:48
Author: kgv
Committer: smoskvin
Details ] Diff ]
0032092: Visualization, TKService - Image_VideoRecorder writes garbage from Grayscale image

Image_VideoRecorder::writeVideoFrame(), added protection from API misuse.
mod - src/Image/Image_VideoRecorder.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-28 12:17 mgn New Issue
2021-01-28 12:17 mgn Assigned To => kgv
2021-01-28 12:26 kgv Summary Visualization, TKService - Image_VideoRecorder writes garbage => Visualization, TKService - Image_VideoRecorder writes garbage from Grayscale image
2021-01-28 12:26 kgv Product Version => 7.5.0
2021-01-28 12:26 kgv Relationship added child of 0025382
2021-01-28 12:27 kgv Product Version 7.5.0 => 7.2.0
2021-09-09 22:34 git Note Added: 0103961
2021-09-09 23:24 kgv Note Added: 0103965
2021-09-09 23:24 kgv Assigned To kgv => bugmaster
2021-09-09 23:24 kgv Severity minor => tweak
2021-09-09 23:24 kgv Status new => resolved
2021-09-09 23:24 kgv Status resolved => reviewed
2021-09-11 13:26 smoskvin Note Added: 0104010
2021-09-11 13:26 smoskvin Status reviewed => tested
2021-09-11 13:35 smoskvin Test case number => Not required
2021-09-11 13:43 smoskvin Changeset attached => occt master cd497738
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:06 git Note Added: 0104034


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker